/* default CSS for the radio buttons*/
.radio-button {
    display: inline-block;
    position: relative;
    margin-top: 10px;
    margin-bottom: 10px;
    
    cursor: pointer;
    font-size: 19px;
    color: white;
    
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* default CSS for the text fields*/
.forms {
    width: 50%;
    padding: 12px 20px 12px 20px;
    margin: 25px auto 5px 10px;
    
    box-sizing: border-box;
    font-family: Montserrat;
    font-size: 13px;
    
    -webkit-transition: 0.5s;
    transition: 0.5s;
}

/* pseudo element that changes border color when clicked on */
.forms:focus {
    border: 1px solid grey;
    outline: none;
}

/* CSS for the comments textbox */
.textbox {
    padding: 12px 20px;
    width: 500px;
    
    border: 3px solid #555;
    outline: none;
    
    font-family: "Montserrat", sans-serif;
    font-size: 15px;
    margin-left: 30px;
    
    resize: none;
    transition: 0.5s;
    -webkit-transition: 0.5s;
}

/* pseudo element that changes border color when clicked on*/
.textbox:focus {
    border: 3px solid #ccc;
}

/* CSS specifically for the start level radio buttons */
.start-radio {
    display: inline-block;
}

/* CSS for the label of the start radio buttons*/
.start {
    display: block;
    text-decoration: underline;
}

/* CSS specifically for the climb radio buttons and defines the margins */
.climb-radio {
    display: inline;
    margin-left: 15px;
    margin-right: 100px;
    
    text-align: left;
}

/* CSS for all the labels in the forms */
label {
    font-size: 19px;
}

/* CSS for the drop down menus*/
.drop-down {
    width: 49.5%;
    margin: 30px 2px 0 15px;
    padding: 10px;
    
    text-decoration: none;
    cursor: pointer;
    font-family: Montserrat;
    outline: none;
    
    transition: 0.2s ease;
}

/* container for all of the form elements */
.body {
    display: flex;
    flex-direction: column;
    margin: 120px auto 50px auto;
    width: 60%;
    
    color: white;
    background-color: #555;
}

/* submit buttons */
input[type=button], input[type=submit] {
    margin: 30px 2px 40px auto;
    padding: 15px;
    width: 55%;
    
    background-color: #FF1814;
    color: white;
    text-decoration: none;
    cursor: pointer;
    font-family: Montserrat;
    font-weight: bold;
    border: none;
    
    transition: 0.2s ease;
    -webkit-appearance: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

input[type=submit]:hover {
    transform: scale(1.1);
}

/* back to match button*/
.match-button {
    display: inline-block;
    flex-direction: column;
    padding: 14px 40px;
    background: #FF1814;
    width: 23%;
    transition: 0.2s ease;
    
    margin: 20px auto 0px auto;
    border-radius: 6px;
    font-size: 16px;
}

.match-button:hover {
    transform: scale(1.1);
    background-color: #ff5657;
}

/* headers for the categories of information (sandstorm, basic info, etc) */
.match-info {
    display: block;
    padding-top: 40px;
    padding-bottom: 20px;
    margin: 0px auto 20px auto;
    width: 80%;

    font-size: 30px;
    text-shadow: 2px 2px black;
    border-bottom: 2px solid white;
}

/* prevents resizing of the text forms */
.textforms {
    display: inline;
    box-sizing: content-box;
}

/* table for all the non-sandstorm values*/
.match-table {
    width: 90%;
    margin: 30px auto 30px auto;
}

.match-table th {
    font-size: 22px;
    padding: 15px;
}

.match-table td {
    text-align: right;
}

/* container*/
.content-block {
    text-align: right;
    box-sizing: border-box;
    margin-right: 200px;
}

.font {
    font-size: 14px;
}

/* climb radio*/
.climb {
    display: block;
    margin-right: 200px;
    text-decoration: underline;
}

/* Media query for phones (portrait orientation) */
@media only screen and (max-width: 900px) and (min-width: 200px) and (orientation: portrait) {
    
    .body {
        display: block;
        width: 94%;
        height: 2150px;
    }
    
    .match-button {
        display: block;
        width: 60%;
    }
    
    .forms {
        width: 50%;
    }
    
    .textbox {
        margin-top: 20px;
        width: 75%;
    }
    
    label {
        font-size: 15px;
    }
    
    .drop-down {
        padding: 10px;
        text-decoration: none;
        margin: 10px 0 10px 15px;
        cursor: pointer;
        transition: 0.2s ease;
        font-family: Montserrat;
        outline: none;
        width: 50%;
    }
    
    .content-block {
        width: 90%;
    }
    
    .font {
        font-size: 18px;
    }
    
    .climb-radio {
        margin-right: 30px;
    }
    
    .climb {
        margin-left: 33px;
        margin-right: 145px;
    }
    
    .start {
        display: block;
        margin-right: 50px;
    }
    
    .start-radio {
        margin-right: 30px;
    }
    
    .start {
        margin-left: 33px;
    }
}

/* Media query for phones (landscape orientation) */
@media only screen and (max-width: 900px) and (min-width: 200px) and (orientation: landscape) {
    
    .body {
        width: 94%;
    }
    
    .match-button {
        width: 30%;
    }
    
    .content-block {
        width: 90%;
        margin-left: -40px;
    }

    .start {
        margin-right: 0px;
    }
    
    .drop-down {
        width: 50%;
    }
    
    .font {
        font-size: 20px;
    }
    
    .climb {
        margin-right: 120px;
    }
    
    .climb-radio {
        margin-left: 100px;
    }
}